import java.sql.*;
public class BatchDatabaseTableCreation {
	
	public static void main(String[] args) {
		try{
			  Connection connection = null;
		      Class.forName("com.mysql.jdbc.Driver");
		
		      connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/roseindia_jdbc_tutorials","root","root");
		      try{		    	  
		    	  	// Create statement object  
		    	  	Statement stmt = connection.createStatement();		        
		    	     
		    	  	// Set auto-commit to false
			        connection.setAutoCommit(false);
			        			              
			         // create database query 
			        String createtablequery = "CREATE TABLE user(user_id integer, user_name varchar(20))";			        
				     
			        stmt.addBatch(createtablequery);			        
			                
			        stmt.executeBatch();
			        
			        System.out.println("Database Table Creation Sucessfully.");
	
			       // connection committed
			        connection.commit(); 
		      }
		      catch (SQLException s){
		        System.out.println("SQL Exception " + s);
		      }
	    }
	    catch (Exception e){
	      e.printStackTrace();
	    }
	}

}
